> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dromo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve headless import



## OpenAPI

````yaml /api-reference/openapi.json get /headless/imports/{id}/
openapi: 3.1.0
info:
  title: Dromo
  description: >-
    Dromo's APIs provide convenient programmatic access to your uploads and
    schemas. You can use them to create powerful automated workflows.
  termsOfService: https://dromo.io/legal/terms
  contact:
    name: Dromo
    email: contact@dromo.io
  version: '1.0'
servers:
  - url: https://app.dromo.io/api/v1
security:
  - api_key: []
tags:
  - name: uploads
    description: Viewing completed imports
  - name: import-schemas
    description: Creating and viewing import schemas
  - name: headless
    description: Creating and viewing headless imports
  - name: sftp-credentials
    description: Managing SFTP server credentials
  - name: sftp-connectors
    description: Managing SFTP automated import connectors
paths:
  /headless/imports/{id}/:
    get:
      tags:
        - headless
      summary: Retrieve headless import
      operationId: retrieveHeadlessImport
      parameters:
        - name: id
          in: path
          description: Headless import ID
          required: true
          schema:
            type: string
            format: uuid
            example: 66d6300d-1414-4655-83b4-8c80fc527315
      responses:
        '200':
          description: Return headless import
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HeadlessImportFull'
        '404':
          description: Not found.
components:
  schemas:
    HeadlessImportFull:
      allOf:
        - $ref: '#/components/schemas/HeadlessImport'
        - type: object
          properties:
            upload:
              type: string
              example: >-
                https://dromo-headless-imports-prod.s3.us-west-2.amazonaws.com/test-key-123?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAIOSFODNN7EXAMPLE%2F20230227%2Fus-west-2%2Fs3%2Faws4_request&X-Amz-Date=20230227T160315Z&X-Amz-Expires=1800&X-Amz-SignedHeaders=host&X-Amz-Signature=example1234567890abcdef1234567890abcdef1234567890abcdef12345678
              readOnly: true
            review_url:
              type: string
              example: >-
                https://app.dromo.io/headless/94187d21-9820-420f-b08c-a80cbbf52604/
              readOnly: true
            result_metadata:
              oneOf:
                - type: object
                - type: 'null'
              example: null
              readOnly: true
            import_errors:
              oneOf:
                - type: array
                  items:
                    type: object
                - type: 'null'
              example: null
              readOnly: true
    HeadlessImport:
      type: object
      properties:
        id:
          type: string
          example: 94187d21-9820-420f-b08c-a80cbbf52604
          readOnly: true
        schema_id:
          type: string
          example: 94187d21-9820-420f-b08c-a80cbbf52604
        status:
          type: string
          enum:
            - AWAITING_UPLOAD
            - RUNNING
            - SUCCESSFUL
            - FAILED
            - NEEDS_REVIEW
          example: AWAITING_UPLOAD
          readOnly: true
        original_filename:
          type: string
          example: user_data.csv
        created_date:
          type: string
          format: date-time
          readOnly: true
        modified_date:
          type: string
          format: date-time
          readOnly: true
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Dromo-License-Key
      in: header
      description: >-
        This backend API key is different than your frontend license key. Please
        use the "Backend" license key from your [Dromo
        Dashboard](https://dashboard.dromo.io/).

````